# -*- coding: utf-8 -*-

from rest_framework import routers
from . import views


router = routers.SimpleRouter()
router.register(
    r'(?P<profile>\w+)/project-type',
    views.ProjectTypeViewSet,
)
router.register(
    r'(?P<profile>\w+)/project',
    views.ProjectViewSet,
)
router.register(
    r'(?P<profile>\w+)/project-number',
    views.ProjectNumberViewSet,
)
urlpatterns = router.urls
