# -*- coding: utf-8 -*-

children = []
models = [
    {'model_name': 'projecttype', 'model_label': 'project type'},
    {'model_name': 'project', 'model_label': 'project'},
    {'model_name': 'projectnumber', 'model_label': 'project number'},
]

for model in models:
    add_entry = {
        "title": f"add {model['model_label']}",
        "url_name": f"admin:project_{model['model_name']}_add",
        "perms": [f"project.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": f"list {model['model_label']}",
        "url_name": f"admin:project_{model['model_name']}_changelist",
        "perms": [
            f"project.view_{model['model_name']}",
            f"project.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': 'project',
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'project'}},
    'perms': ['project.*'],
    'children': children
}]
